Package org.springframework.security.web.webauthn.jackson

# Class WebauthnJackson2Module

java.lang.Object
com.fasterxml.jackson.databind.Module
com.fasterxml.jackson.databind.module.SimpleModule
org.springframework.security.web.webauthn.jackson.WebauthnJackson2Module

All Implemented Interfaces:
  `com.fasterxml.jackson.core.Versioned`, `Serializable`

public class WebauthnJackson2Module extends com.fasterxml.jackson.databind.module.SimpleModule
Adds Jackson support for Spring Security WebAuthn. It is automatically registered when using Jackson's SPI support.

Since:
  6.4
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

`com.fasterxml.jackson.databind.Module.SetupContext`

## Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`_abstractTypes, _deserializerModifier, _deserializers, _hasExplicitName, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

## Constructor Summary

Constructors
Constructor
Description
`WebauthnJackson2Module()`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`

### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setValueInstantiators, version`

### Methods inherited from class com.fasterxml.jackson.databind.Module

`getDependencies`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebauthnJackson2Module

public WebauthnJackson2Module()
Creates a new instance.

## Method Details

### setupModule

public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

Overrides:
  `setupModule` in class `com.fasterxml.jackson.databind.module.SimpleModule`